libpreludedb (5.1.0-1) experimental; urgency=medium

  * Bump version 5.1.0 (Closes: #925757)
    - Remove python 2 support (Closes: #936905)
    - Bump debhelper to 12
    - Cleanup d/changelog
    - Update symbols files
    - Remove Python2 support
    - Add upstream/metadata
  * d/patches
    - Remove unnecesssary patches
      - 001-manpages.patch
    - Update patches:
      - 003-Add-pkg-config-file.patch
      - 004-Add_support_for_python_3.X.patch
      - 007-update_m4_postgresql.patch (Closes: #892868)
    - Add new patches:
      - 009-fix_py38.patch
      - 010-disable_gnulib_lock_tests.patch
      - 011-force_preludedb_admin_with_py3.patch
      - 012-fix_gtkdoc_1.32.patch
        Fix building with GTK-Doc 1.32 (Closes: #939957)
      - 013-fix_thread_create.patch
  * d/control:
    - Migrate from debhelper to debhelper-compat
    - Bump dependencies to libprelude 5.1
    - Bump Standard-Version to 4.4.1
    - Rules-Requires-Root
    - Fix python-package-missing-depends-on-python
    - Update preludedb-utils

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Fri, 11 Oct 2019 00:10:00 +0200

libpreludedb (4.1.0-2) unstable; urgency=medium

  * Update dependencies (Closes: #896240, #896266)
  * Bump Standard-Version to 4.1.4, no changes needed

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Mon, 30 Apr 2018 00:10:00 +0200

libpreludedb (4.1.0-1) unstable; urgency=medium

  * Bump version 4.1.0 (Closes: #892553)
    - remove unnecessary patch: 006-update-gtkdoc-files.patch
    - Update dependencies: libprelude 4.1 is required
  * d/control:
    - Update descriptions
    - Add multiarch fields
  * d/rules: add missing include architecture.mk
  * Update copyrights dates
  * Add symbols for libpreludedb7 and libpreludedbcpp2

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Sun, 11 Mar 2018 12:00:00 +0200

libpreludedb (3.1.0-2) unstable; urgency=medium

  * Bump Standard-Version to 4.1.3, no changes needed
  * Bump debhelper version to 11
  * Update compat file from 10 to 11
  * New patches:
    - 007-update_m4_postgresql.patc
      Fix compatibility with new libpq (Closes: #887940)
    - 008-Fix_libdir_definition.patch
      Fix libdir definition (Closes: #722799)
  * Update d/control Vcs-* entries to migrate to Salsa

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Sat, 10 Feb 2018 01:00:00 +0200

libpreludedb (3.1.0-1) unstable; urgency=medium

  * Push to unstable
  * Add Thomas Andrejak as uploader in d/control
  * Bump Standard-Version to 4.1.1, no changes needed
  * Remove trailing whitespace in d/changelog

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Mon, 20 Nov 2017 01:00:00 +0200

libpreludedb (3.1.0-0.2) experimental; urgency=medium

  * Non-maintainer upload.
  * Update gtkdoc files to be compatible with gtkdoc-1.26 (Closes: #876709)
    - Update gtk-doc.make and m4/gtk-doc.m4
    - Using https://github.com/GNOME/gtk-doc
  * Add libglib2.0-dev to build-dep-indep because it is required for gtk-doc

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Sun, 24 Sep 2017 09:00:00 +0200

libpreludedb (3.1.0-0.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Add support and dependencies for Python3 bindings
  * Add PreludeDB documentation with gtk-doc
  * Cleanup rules file
    - Clean all directives
    - Support Build profiles nopython
    - Build the documentation only when building the indep packages
  * Addition of the upstream signing key
  * Update of watch file
  * Bump version 3.1.0 (Closes: #872260)
    - Bump soname version: C to 7, C++ to 2
    - Patches :
      - Remove unnecessary patches now upstream included them
      - 001-manpages.patch: Fix manpage syntax
      - 002-undefined_non_weak_symbol.patch: Fix undefined non weak symbol
      - 003-Add-pkg-config-file.patch: Deprecate libpreludedb-config
        for pkg-config
      - 004-Add_support_for_python_3.5_and_3.6.patch: Add simultaneous
        support for python 3.5 and 3.6
      - 005-Clarify_License.patch: Clarify README.LICENSE
  * Control :
    - Remove unnecessary PreDepends
    - Change Priority from extra to optional
    - Add Vcs fields
    - Bump Standards-Version to 4.0.1
    - Bump debhelper compat level to 10, drop explicit autoreconf, now part
      of debhelper standard sequence.
    - Set Homepage field
    - Remove of uneccesary/duplicated Section fields
  * Rewriting of copyright file to fit the machine-readable format
  * Add missing copyright information
  * Add new package: preludedb-utils
    - Handle preludedb-admin and it's manpage

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Tue, 15 Aug 2017 12:00:00 +0100

libpreludedb (1.0.0-2.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Mickael Profeta has retired, promote Pierre Chifflier from Uploaders to
    Maintainer.  (Closes: #838923)
  * Switch Build-Depends to default-libmysqlclient-dev.
    (Closes: #845867, #790467)
  * Use dh_autoreconf.  (Closes: #744617, #558580)
  * Add missing Build-Depends: dh-python.
  * Add missing build-arch/build-indep targets.
  * Switch to source format 3.0 (quilt).

 -- Andreas Beckmann <anbe@debian.org>  Thu, 12 Jan 2017 17:03:47 +0100

libpreludedb (1.0.0-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild against GnuTLS v3. Drop build-dependency on libgnutls-dev.
    libpreludedb does not use GnuTLS directly and its build-dependency on
    libprelude-dev pulls in GnuTLS development packages.
    Closes: #754772

 -- Andreas Metzler <ametzler@debian.org>  Fri, 15 Aug 2014 07:43:46 +0200

libpreludedb (1.0.0-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Force swig to regenerate bindings/perl/PreludeDB.c by removing it
    before building and in the clean target. (Closes: #752335)
  * Use perl's $Config{vendorarch} instead of /usr/lib/perl5. Thanks
    to Niko Tyni for the patch. (Closes: #752336)

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 05 Aug 2014 22:27:33 +0200

libpreludedb (1.0.0-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Convert to dh_python2 (Closes: #616869).
  * libmissing/stdio.in.h:
    - Do not try to warn about gets risks if it is not defined, fix
      FTBFS with eglibc 2.17 (Closes: #701403).

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 30 May 2013 20:42:16 +0200

libpreludedb (1.0.0-2) unstable; urgency=low

  * Do not ship .la files
  * Replace TYPE=InnoDB with ENGINE=InnoDB to match MySQL 5.5

 -- Pierre Chifflier <pollux@debian.org>  Sat, 16 Mar 2013 16:54:52 +0100

libpreludedb (1.0.0-1) unstable; urgency=low

  * Imported Upstream version 1.0.0

 -- Pierre Chifflier <pollux@debian.org>  Tue, 16 Mar 2010 22:53:13 +0100

libpreludedb (1.0.0~rc1-2) unstable; urgency=low

  * Bump standards version to 3.8.4
  * Rebuild to use libltdl7 (Closes: #571365)

 -- Pierre Chifflier <pollux@debian.org>  Fri, 26 Feb 2010 14:22:19 +0100

libpreludedb (1.0.0~rc1-1) unstable; urgency=low

  * New upstream release
  * Bump standards version to 3.8.3
  * Rebuild with support for Python 2.6 (Closes: #531555)

 -- Pierre Chifflier <pollux@debian.org>  Tue, 02 Feb 2010 08:46:05 +0100

libpreludedb (0.9.15.3-1) unstable; urgency=low

  * New Upstream Version
  * Update description (Prelude is a SIM/SIEM, not an IDS)
  * Add alternative build-dep on libmysqlclient-dev to build with MySQL 5.1

 -- Pierre Chifflier <pollux@debian.org>  Tue, 28 Jul 2009 09:42:38 +0200

libpreludedb (0.9.15.2-1) unstable; urgency=low

  * New Upstream Version
  * Bump standards version to 3.8.2 (no changes)
  * Set debhelper compat version to 5
  * Rebuild against libpq 8.4

 -- Pierre Chifflier <pollux@debian.org>  Mon, 13 Jul 2009 22:21:31 +0200

libpreludedb (0.9.15.1-3) unstable; urgency=low

  * Upload to unstable

 -- Pierre Chifflier <pollux@debian.org>  Thu, 26 Feb 2009 13:45:17 +0100

libpreludedb (0.9.15.1-2) experimental; urgency=low

  * Enable support for sqlite3 backend

 -- Pierre Chifflier <pollux@debian.org>  Fri, 09 Jan 2009 13:55:00 +0100

libpreludedb (0.9.15.1-1) experimental; urgency=low

  * New upstream release

 -- Pierre Chifflier <pollux@debian.org>  Thu, 18 Sep 2008 14:52:42 +0200

libpreludedb (0.9.15-1) experimental; urgency=low

  * New upstream release

 -- Pierre Chifflier <pollux@debian.org>  Wed, 27 Aug 2008 17:05:34 +0200

libpreludedb (0.9.14.1-2) unstable; urgency=low

  * Update watch file
  * Bump standards version (no changes)
  * Update dependencies

 -- Pierre Chifflier <pollux@debian.org>  Tue, 01 Jul 2008 09:10:24 +0200

libpreludedb (0.9.14.1-1) unstable; urgency=low

  * New upstream release

 -- Pierre Chifflier <pollux@debian.org>  Mon, 07 Jan 2008 23:24:46 +0100

libpreludedb (0.9.14-1) unstable; urgency=low

  * New upstream release
  * Bump standards version (no changes)

 -- Pierre Chifflier <pollux@debian.org>  Wed, 19 Dec 2007 17:00:41 +0100

libpreludedb (0.9.13-2) unstable; urgency=low

  * Backport patch r9907 from upstream:
    revent MySQL session from timing out after 8 hours of inactivity.

 -- Pierre Chifflier <pollux@debian.org>  Thu, 27 Sep 2007 10:49:16 +0200

libpreludedb (0.9.13-1) unstable; urgency=low

  * New upstream release
  * Update my email address
  * Build packages for multiple python versions

 -- Pierre Chifflier <pollux@debian.org>  Mon, 27 Aug 2007 14:37:54 +0200

libpreludedb (0.9.12-2) unstable; urgency=low

  * Make libpreludedb packages depend on libprelude
  * Update my email address

 -- Pierre Chifflier <chifflier@inl.fr>  Fri, 08 Jun 2007 15:49:22 +0200

libpreludedb (0.9.12-1) unstable; urgency=low

  * New upstream release
  * Add watch file

 -- Pierre Chifflier <chifflier@cpe.fr>  Sat, 17 Mar 2007 18:50:39 +0100

libpreludedb (0.9.11.2-2) unstable; urgency=low

  * Use python-central only for python bindings package

 -- Pierre Chifflier <chifflier@cpe.fr>  Sun, 28 Jan 2007 17:52:38 +0100

libpreludedb (0.9.11.2-1) unstable; urgency=low

  * New upstream release
  * Add myself to uploaders
  * Create new binary packages for perl and python bindings

 -- Pierre Chifflier <chifflier@cpe.fr>  Thu, 11 Jan 2007 15:32:22 +0100

libpreludedb (0.9.10-1) unstable; urgency=low

  * New upstream release

 -- Mickael Profeta <profeta@debian.org>  Fri, 27 Oct 2006 10:37:43 +0200

libpreludedb (0.9.7.1-1) unstable; urgency=low

  * New upstream release
  * Modify copyright to include LGPL part
  * Add dependency on libgnutls-dev

 -- Mickael Profeta <profeta@debian.org>  Wed, 26 Apr 2006 13:01:45 +0200

libpreludedb (0.9.3-1) unstable; urgency=low

  * New upstream release
  * modify copyright file to accept GPL compatible softwares

 -- Mickael Profeta <profeta@debian.org>  Sat,  4 Feb 2006 16:26:19 +0100

libpreludedb (0.9.0-1) unstable; urgency=low

  * New upstream release

 -- Mickael Profeta <profeta@debian.org>  Tue, 27 Sep 2005 17:20:06 +0000

libpreludedb (0.8.99+0.9.0rc10-0) unstable; urgency=low

  * New package for revision 0.9.0 of prelude Nids

 -- Mickael Profeta <profeta@debian.org>  Sun, 14 Aug 2005 14:23:45 +0000
